Bug 130604 - Laptop with 1680x1050 monitor
Laptop with 1680x1050 monitor
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
: 142013 143113 (view as bug list)
Depends On:
Blocks: 132514
  Show dependency treegraph
 
Reported: 2004-08-22 13:16 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.0.37-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 05:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-08-22 13:16:27 EDT
Description of problem:
This resolution is not listed in our menus

Also affects RHEL4 snapshots.
Comment 1 Bill Nottingham 2004-08-23 17:06:07 EDT
Generic LCD Display; LCD Panel 1680x1050; 0; 31.5-90; 60


is in the monitorsdb. Where are you not seeing it?
Comment 2 Alan Cox 2004-10-01 18:24:49 EDT
The installer and system-config-display

If I go into the display tool I can tell it my monitor is 1680x1050,
but then it offers me 1600x1200 and 1920x1440 modelines but not
1680x1050 modeline
Comment 3 Joshua Rosen 2004-10-19 15:20:48 EDT
The 1680x1050 display has an aspect ratio of 16x10 which must be
specified in the xorg.conf file. Add the following,


Section "Modes"

    # 1680x1050 @ 60.00 Hz (GTF) hsync: 65.22 kHz; pclk: 147.14 MHz
    Modeline "1680x1050"  147.14  1680 1784 1968 2256  1050 1051 1054 1087

    # Here we define 16:10 modes
    Identifier "16:10"
    
EndSection

And then in the Monitor section put a UseModes "16:10"

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "LCD Panel 1680x1050"
	HorizSync    31.5 - 90.0
	VertRefresh  60.0 - 60.0
	Option	    "dpms"
	UseModes "16:10"
EndSection
Comment 4 Alan Cox 2004-10-20 19:10:12 EDT
You misunderstand the problem. I know X can do it (and I am doing it)
but the graphical configuration tools should also have done it for me.
Comment 5 Bill Nottingham 2004-10-20 19:39:59 EDT
Moving to s-c-display; there's really nothing that can be done in the
MonitorsDB here.
Comment 6 Paul Nasrat 2004-10-21 04:22:26 EDT
We need to have much smarter handling of modes - both for UseModes and
for custom named modes. Add to tracker.
Comment 7 Matthias Saou 2004-11-02 11:24:31 EST
Sure, but in the meantime, can't that resolution be added like all the
others are? Seems like bug #121148 was closed too soon, as yes, the
resolution is present when choosing the screen, and X works when
configured with it, but you can't choose it as the default resolution
for the system in firstboot or s-c-display (tested in FC3 RC5).
(#121148 and #121104 are also probably only "partly fixed")
Comment 8 Gene Czarcinski 2004-12-06 13:22:58 EST
This is still a problem in fc3 so I updated that.

This problem (with s-c-d) is also a problem with 1920x1200 and
1280x800 resolutions.

I have a Compaq R3000z with nvidia hardware and the nv driver works
with all three resolution but only after I handcode them.  s-c-d
really needs to support the 16:10 displays which are becoming more common.
Comment 9 Paul Nasrat 2005-01-04 09:20:43 EST
*** Bug 143113 has been marked as a duplicate of this bug. ***
Comment 10 Paul Nasrat 2005-01-04 10:01:21 EST
*** Bug 142013 has been marked as a duplicate of this bug. ***
Comment 11 Matthew Miller 2006-07-10 18:36:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 12 David Juran 2006-08-04 05:53:43 EDT
I belive this works in system-config-display-1.0.37-2 in FC5.

/David

Note You need to log in before you can comment on or make changes to this bug.